package gov.va.med.mpn;

import static org.junit.Assert.assertTrue;
import gov.va.med.mpn.dao.interfaces.CategoryDAO;
import gov.va.med.mpn.entity.pojo.Category;

import java.util.List;

import org.junit.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;

public class CategoryTest extends AbstractTestDAO{
	
		
		@Autowired
		protected CategoryDAO categoryDao;
		

		  /** The slf4j logger. */
		private final Logger slf4jLogger = LoggerFactory.getLogger(CategoryTest.class);
		
		@Test
		public void findCodedControlData(){
			
			List<Category> categories = categoryDao.findAllCategoriesSorted();
			
			slf4jLogger.debug("Control Name:"+categories.size());
			assertTrue("Categories size should be greater than one", categories.size() > 1);
						
		}
		


}
